Bug 215903 - edit pkg-plist of databases/mysql80-client to add new include files, also small patch for php70-mysqli to build fine with it
Summary: edit pkg-plist of databases/mysql80-client to add new include files, also sma...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL: https://reviews.freebsd.org/D9100
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-01-09 09:57 UTC by Mahdi Mokhtari
Modified: 2017-01-12 14:41 UTC (History)
3 users (show)

See Also:
mmokhi: maintainer-feedback+
tz: maintainer-feedback+


Attachments
patch does the add/fix (10.80 KB, patch)
2017-01-09 10:00 UTC, Mahdi Mokhtari
mmokhi: maintainer-approval+
tz: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-09 09:57:08 UTC

    
Comment 1 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-09 10:00:14 UTC
Created attachment 178662 [details]
patch does the add/fix
Comment 2 Mark Linimon freebsd_committer freebsd_triage 2017-01-10 02:01:59 UTC
Over to tz@ for the php70-mysqli part of the fix.
Comment 3 commit-hook freebsd_committer 2017-01-10 16:07:25 UTC
A commit references this bug:

Author: lifanov
Date: Tue Jan 10 16:06:42 UTC 2017
New revision: 431098
URL: https://svnweb.freebsd.org/changeset/ports/431098

Log:
  add new includes for MySQL 8.0 client

  PR:		215903
  Submitted by:	Mahdi Mokhtari <mokhi64@gmail.com> (maintainer)
  Reviewed by:	matthew
  Approved by:	matthew (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9100

Changes:
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-client/files/patch-include_CMakeLists.txt
  head/databases/mysql80-client/pkg-plist
Comment 4 Nikolai Lifanov freebsd_committer 2017-01-10 16:10:22 UTC
I committed the client change.
Comment 5 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-10 16:35:32 UTC
(In reply to Nikolai Lifanov from comment #4)
Thanks :-)
Comment 6 Torsten Zuehlsdorff freebsd_committer 2017-01-12 11:24:08 UTC
Comment on attachment 178662 [details]
patch does the add/fix

Approved. :)

Can you please check if databases/php70-pdo_mysql also need a patch?
Comment 7 Torsten Zuehlsdorff freebsd_committer 2017-01-12 11:25:15 UTC
I will commit the php-part of the patch if no patch for php70-pdo_mysql is needed.
Comment 8 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-12 12:09:14 UTC
(In reply to Torsten Zuehlsdorff from comment #6)
Thanks for approval :)
I've just checked `databases/php70-pdo_mysql` in a 12-current poudriere jail, it built fine without problem.
Comment 9 commit-hook freebsd_committer 2017-01-12 13:55:39 UTC
A commit references this bug:

Author: tz
Date: Thu Jan 12 13:54:46 UTC 2017
New revision: 431266
URL: https://svnweb.freebsd.org/changeset/ports/431266

Log:
  databases/php70-mysqli: Add patch to build fine with databases/mysql80-client

  Patch enables the port to build with databases/mysql80-client

  PR:           215903
  Submitted by: Mahdi Mokhtari <mokhi64@gmail.com>

Changes:
  head/databases/php70-mysqli/Makefile
  head/databases/php70-mysqli/files/patch-mysqli.c
Comment 10 Torsten Zuehlsdorff freebsd_committer 2017-01-12 13:56:13 UTC
Its done; committed! :) Thanks!
Comment 11 Mahdi Mokhtari freebsd_committer freebsd_triage 2017-01-12 14:41:43 UTC
(In reply to Torsten Zuehlsdorff from comment #10)
Thanks :)